liborigin 2.0.0

Public Member Functions | List of all members
tree< T, tree_node_allocator >::iterator_base_less Class Reference

Comparator class for iterators (compares pointer values; why doesn't this work automatically?) More...

`#include <tree.hh>`

## Public Member Functions
bool | operator() (const typename tree< T, tree_node_allocator >::iterator_base &one, const typename tree< T, tree_node_allocator >::iterator_base &two) const

## Detailed Description

template<class T, class tree_node_allocator = std::allocator<tree_node_<T> >>
class tree< T, tree_node_allocator >::iterator_base_less

Comparator class for iterators (compares pointer values; why doesn't this work automatically?)

## Member Function Documentation

## ◆ operator()()

template<class T , class tree_node_allocator = std::allocator<tree_node_<T> >>

bool tree< T, tree_node_allocator >::iterator_base_less::operator() | ( | const typename tree< T, tree_node_allocator >::iterator_base & | one,
|  | const typename tree< T, tree_node_allocator >::iterator_base & | two
| ) |  | const
| inline

References tree< T, tree_node_allocator >::iterator_base::node.

The documentation for this class was generated from the following file:

- /tmp/slackdce/slackrepo.5NA6jZ/build_liborigin/liborigin/tree.hh